# $Revision: 1.25.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	Yapp
Summary:	Parse::Yapp Perl module
Summary(cs):	Modul Parse::Yapp pro Perl
Summary(da):	Perlmodul Parse::Yapp
Summary(de):	Parse::Yapp Perl Modul
Summary(es):	Mdulo de Perl Parse::Yapp
Summary(fr):	Module Perl Parse::Yapp
Summary(it):	Modulo di Perl Parse::Yapp
Summary(ja):	Parse::Yapp Perl ⥸塼
Summary(ko):	Parse::Yapp  
Summary(no):	Perlmodul Parse::Yapp
Summary(pl):	Modu Perla Parse::Yapp
Summary(pt):	Mdulo de Perl Parse::Yapp
Summary(pt_BR):	Mdulo Perl Parse::Yapp
Summary(ru):	  Perl Parse::Yapp
Summary(sv):	Parse::Yapp Perlmodul
Summary(uk):	  Perl Parse::Yapp
Summary(zh_CN):	Parse::Yapp Perl ģ
Name:		perl-Parse-Yapp
Version:	1.05
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-man.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::Yapp - Yet Another Perl Parser compiler.

%description -l pl
Modu Perla Parse::Yapp - jeszcze jedno narzdzie do tworzenia
parserw perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/yapp
%{perl_sitelib}/Parse/Yapp.pm
%{perl_sitelib}/Parse/Yapp
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Parse-Yapp.spec,v $
Revision 1.25.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.25.2.1  2003/03/13 00:58:28  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.25  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:37  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/16 11:35:18  ankry
- translations, cleaning
- added manpage patch
- release 4

Revision 1.22  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.21  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:26  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:31:30  depesz
adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/27 16:46:00  mis
- autoupdated to 1.05

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:14:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/20 15:57:09  mis
- updated (by autoup) to 1.04

Revision 1.9  2000/12/22 00:28:04  kloczek
- updated to 1.03,
- use new rpm automation and rebuild against perl 5.6.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:53  pius
- updated to 1.00

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
